An authorization library that supports access control models like ACL, RBAC, ABAC in Lua (OpenResty)

$ luarocks install casbin

Versions

1.41.8-1199 days ago29,262 downloads
1.41.7-1232 days ago(revision: 2)363 downloads
1.41.6-11 year ago4 downloads
1.41.5-11 year ago44,429 downloads
1.41.4-11 year ago25 downloads
1.41.3-11 year ago3,313 downloads
1.41.2-11 year ago126 downloads
1.41.1-11 year ago55,044 downloads
1.41.0-12 years ago599 downloads
1.40.1-12 years ago33 downloads
1.40.0-12 years ago52 downloads
1.39.0-12 years ago4 downloads
1.38.0-12 years ago8 downloads
1.37.0-12 years ago8 downloads
1.36.0-12 years ago(revision: 2)4 downloads
1.35.1-12 years ago8 downloads
1.35.0-12 years ago5 downloads
1.34.1-12 years ago8 downloads
1.34.0-12 years ago4 downloads
1.33.0-12 years ago4 downloads
1.32.1-12 years ago(revision: 3)8 downloads
1.32.0-12 years ago64 downloads
1.31.0-12 years ago5 downloads
1.30.0-12 years ago45 downloads
1.29.0-12 years ago136 downloads
1.28.0-12 years ago128 downloads
1.27.0-12 years ago4 downloads
1.26.0-12 years ago81,680 downloads
1.25.1-12 years ago8 downloads
1.25.0-12 years ago4 downloads
1.24.2-12 years ago5 downloads
1.24.1-12 years ago(revision: 3)20 downloads
0.0.1-12 years ago46 downloads

Dependencies

Lrexlib-PCRE >= 2.9.1
lua >= 5.1
lualogging >= 1.5.1
luaposix = 35.1-1

Dependency for

amber-apigw, apisix, casbin-adapter, lua-resty-casbin-adapter, resty-casbin-adapter

Manifests